#ifndef __CGM32_H__
#define __CGM32_H__

#include "CBm32.h"

class DECLSPEC CGm32
{
public:
	CGm32();
	void	SetMapViewSize(int width, int height){m_MapWidth=width; m_MapHeight=height;};
	POINT	GetMapViewSize(){POINT pt; pt.x=m_MapWidth; pt.y=m_MapHeight; return pt;};
	POINT	GetMapSize(){POINT pt; pt.x=m_MapSizeX; pt.y=m_MapSizeY; return pt;};
	unsigned long*	GetMapData(){return m_pMapData;};
	BOOL	LoadMapData(TCHAR *filename);
	BOOL	DrawMap(CBm32 &bmBack, CBm32 &bmMapChip, CBm32 &bmLyerChip,
					int scr_x = 0, int scr_y = 0, int x = 0, int y = 0);
	BOOL	DrawPriorityMap(CBm32 &bmBack, CBm32 &bmLyerChip,
						int scr_x = 0, int scr_y = 0, int x = 0, int y = 0);
	BOOL	DrawHitJudge(CBm32 &bmBack,int scr_x = 0, int scr_y = 0, int x = 0, int y = 0,
						BYTE red = 100, BYTE green = 0, BYTE blue = 0);
	~CGm32();
	
private:
	int				m_MapSizeX;		// `bv/}bvij
	int				m_MapSizeY;		// `bv/}bvicj
	int				m_MapWidth;		// }bv\TCYij
	int				m_MapHeight;	// }bv\TCYij
	unsigned long	*m_pMapData;	// }bvf[^
};

#endif
